summaryrefslogtreecommitdiff
blob: 44a252dec06e632ab1d705becadf489ceac1d19b (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

# Marek Szuba <marecki@gentoo.org> (2022-01-01)
# Binary-only package linked against glibc.
app-crypt/rainbowcrack

# Conrad Kostecki <conikost@gentoo.org> (2021-12-15)
# Level Zero needs RTLD_DEEPBIND, which does not exist on musl.
dev-libs/level-zero

# Andreas K. Hüttel <dilfridge@gentoo.org> (2021-11-21)
# No musl patches in ebuild
<sys-devel/gcc-9

# Sam James <sam@gentoo.org> (2021-11-20)
# Wants /usr/bin/locale
# Fails to build with errors like:
# ```
# Use of uninitialized value $Text::WrapI18N::charmap in pattern match (m//) at /usr/lib/perl5/vendor_perl/5.34/Text/WrapI18N.pm line 155.
# Can't exec "/usr/bin/locale": No such file or directory at /usr/lib/perl5/vendor_perl/5.34/Text/WrapI18N.pm line 134.
# ```
app-text/po4a

# Hank Leininger <hlein@korelogic.com> (2021-07-14)
# Uses glibc-specific rexec(3) function, bug #715898
net-misc/netkit-rsh

# Andreas K. Hüttel <dilfridge@gentoo.org> (2021-07-14)
# Mask the libxcrypt-based virtual
~virtual/libcrypt-2
-virtual/libcrypt:0/1

# David Seifert <soap@gentoo.org> (2021-02-08)
# nvidia-drivers only works against glibc.
x11-drivers/nvidia-drivers

# Sergei Trofimovich <slyfox@gentoo.org> (2020-04-11)
# musl has no support for prelinked sections, bug #717020
sys-devel/prelink

# Ulrich Müller (2020-03-31)
# Not ported to musl, bug #715642.
# See https://wiki.gentoo.org/wiki/Project:Emacs/Emacs-like_editors
# for alternatives.
app-editors/jasspa-microemacs

# Sergei Trofimovich <slyfox@gentoo.org> (2020-03-21)
# musl has no support for nss subsystem.
sys-auth/libnss-nis

# Sergei Trofimovich <slyfox@gentoo.org> (2020-03-21)
# Needs a port no musl. Uses glibc-specific termio and __getppid.
app-emulation/ski

# Sergei Trofimovich <slyfox@gentoo.org> (2020-03-21)
# Linux debugger needs a port to musl.
app-emulation/dosemu

# Old undated blocks of masks
#

sys-libs/uclibc-ng
sys-libs/glibc

# We use eudev which is tested on both uclibc and musl
# As of 2021-08-08, >=sys-fs/udev-249-r2 is patched in Gentoo
# to work on musl.
sys-apps/systemd

# systemd sources fail to build without glibc
sys-boot/systemd-boot

# Ian Stakenvicius <axs@gentoo.org> (2017-06-14)
# (on behalf of <mozilla@gentoo.org>)
# Mask firefox-54 and above as it requires rust
# now, and rust reportedly will not build yet.
>=www-client/firefox-54.0

# rust-bin requires a glibc system
dev-lang/rust-bin
mail-client/thunderbird-bin
www-client/firefox-bin